
Redmine - Feature #6121

Reports Summary page displays only issues of a project not of all its subprojects

2010-08-12 11:32 - Jelka Kosir

Status: Closed Start date: 2010-08-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

I'm using 1.0 stable checkout from http://redmine.rubyforge.org/svn/branches/1.0-stable revision 3902 on windows machine

I have enabled Administration option "Display subprojects issues on main projects by default" so on parent project issues lists also

issues from subprojects are displayed

The Reports Summary page currently displays only issues from the currently selected project and not (as I would expect) issues from

all containing subprojects.

I think the reports summary page should behave like project pages regarding this matter as if you have many subprojects this report

summary is not as useful as it would have been. And since there is a setting that already handles this choice this should not be a big

problem to solve

Thanks and keep up the great work :)

Related issues:

Related to Redmine - Feature #2529: Extend Issue Summary to include subprojects Closed 2009-01-19

History

#1 - 2010-08-13 06:11 - Mischa The Evil

- Tracker changed from Defect to Feature

Basic (as in issues open/closed or in other issue-statuses) information about the issues in the parents child projects are included in the report under

the "Subproject"-section. See e.g. this demo project report which shows me the subprojects issues info on the right side of the page. You can also

click-through to the full report of the subprojects section.

Seems this is more a feature request rather than a real defect since the current report is working correctly within it's current specifications. I've

changed the issue-properties accordingly.

#2 - 2018-10-03 15:25 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Implemented by #2529.

Issue Summary page in Redmine 4.0.0 will also count subprojects' issues when "Display subprojects issues on main projects by default" setting is

enabled.
